POST api/bagapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BagViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

bag_status_id

globally unique identifier

Required

cleanroom_type_id

globally unique identifier

Required

code

integer

Required

date_hu

date

None.

id

globally unique identifier

None.

site_id

globally unique identifier

Required

wash_count

integer

None.

position

integer

None.

pc_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "bag_status_id": "137b7f03-e7c3-4191-bbee-d9e29597b13c",
  "cleanroom_type_id": "3f5dc7e4-b039-4a65-8b84-d5dedc55caa5",
  "code": 3,
  "date_hu": "2026-03-11T06:54:46.8170819+00:00",
  "id": "a5b77978-ae48-490a-b406-6bd771509074",
  "site_id": "6efa7c1c-cd09-4a31-ae1d-47f4d245b39c",
  "wash_count": 6,
  "position": 1,
  "pc_id": "7fdb3696-061b-4c3a-bb36-d38ef926754e"
}

application/xml, text/xml

Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <bag_status_id>137b7f03-e7c3-4191-bbee-d9e29597b13c</bag_status_id>
  <cleanroom_type_id>3f5dc7e4-b039-4a65-8b84-d5dedc55caa5</cleanroom_type_id>
  <code>3</code>
  <date_hu>2026-03-11T06:54:46.8170819+00:00</date_hu>
  <id>a5b77978-ae48-490a-b406-6bd771509074</id>
  <pc_id>7fdb3696-061b-4c3a-bb36-d38ef926754e</pc_id>
  <position>1</position>
  <site_id>6efa7c1c-cd09-4a31-ae1d-47f4d245b39c</site_id>
  <wash_count>6</wash_count>
</bag>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"50aabebe-0682-4241-b5f2-858c5db45ea8"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">50aabebe-0682-4241-b5f2-858c5db45ea8</guid>